/*
 * HVDInputManagerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.hvision.dinput;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author gduprey
 */
public interface HVDInputManagerI extends HVDeviceManagerI {
  public HVDInputI getDInput(int dinputNum);
  
  public void addListener(HVDInputListenerI theListener);
  public void addListener(HVDInputListenerI theListener, int dinputNum);
  public void addListener(HVDInputListenerI theListener, HVDInputI theDInput);
  
  public void removeListener(HVDInputListenerI theListener);
  public void removeListener(HVDInputListenerI theListener, int dinputNum);
  public void removeListener(HVDInputListenerI theListener, HVDInputI theDInput);
  public void removeAllListeners(HVDInputListenerI theListener);
}
