/*
 * HVDOutputManagerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.hvision.doutput;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author gduprey
 */
public interface HVDOutputManagerI extends HVDeviceManagerI {
  public HVDOutputI getDOutput(int doutputNum);
  
  public void addListener(HVDOutputListenerI theListener);
  public void addListener(HVDOutputListenerI theListener, int doutputNum);
  public void addListener(HVDOutputListenerI theListener, HVDOutputI theDOutput);
  
  public void removeListener(HVDOutputListenerI theListener);
  public void removeListener(HVDOutputListenerI theListener, int doutputNum);
  public void removeListener(HVDOutputListenerI theListener, HVDOutputI theDOutput);
  public void removeAllListeners(HVDOutputListenerI theListener);
}
