/*
 * HVFlagManagerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.hvision.flag;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author gduprey
 */
public interface HVFlagManagerI extends HVDeviceManagerI {
  public HVFlagI getFlag(int flagNum);
  
  public void addListener(HVFlagListenerI theListener);
  public void addListener(HVFlagListenerI theListener, int flagNum);
  public void addListener(HVFlagListenerI theListener, HVFlagI theFlag);
  
  public void removeListener(HVFlagListenerI theListener);
  public void removeListener(HVFlagListenerI theListener, int flagNum);
  public void removeListener(HVFlagListenerI theListener, HVFlagI theFlag);
  public void removeAllListeners(HVFlagListenerI theListener);
}
