/*
 * HVMacroManagerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.hvision.macro;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author gduprey
 */
public interface HVMacroManagerI extends HVDeviceManagerI {
  public HVMacroI getMacro(int macroNum);
  
  public void addListener(HVMacroListenerI theListener);
  public void addListener(HVMacroListenerI theListener, int macroNum);
  public void addListener(HVMacroListenerI theListener, HVMacroI theMacro);
  
  public void removeListener(HVMacroListenerI theListener);
  public void removeListener(HVMacroListenerI theListener, int macroNum);
  public void removeListener(HVMacroListenerI theListener, HVMacroI theMacro);
  public void removeAllListeners(HVMacroListenerI theListener);
}
