/*
 * HVVariableManagerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.hvision.variable;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author gduprey
 */
public interface HVVariableManagerI extends HVDeviceManagerI {
  public HVVariableI getVariable(int varNum);
  
  public void addListener(HVVariableListenerI theListener);
  public void addListener(HVVariableListenerI theListener, int varNum);
  public void addListener(HVVariableListenerI theListener, HVVariableI theVariable);
  
  public void removeListener(HVVariableListenerI theListener);
  public void removeListener(HVVariableListenerI theListener, int varNum);
  public void removeListener(HVVariableListenerI theListener, HVVariableI theVariable);
  public void removeAllListeners(HVVariableListenerI theListener);
}
