/*
 * HVX10Event.java
 *
 * Created on December 9, 2004, 11:14 AM
 */

package org.cdp1802.hvision.x10;

import org.cdp1802.xpl.xPL_MessageI;

/**
 *
 * @author  gerry
 */
public class HVX10Event implements HVX10EventI {
  HVX10DeviceI theDevice = null;
  EventReason theReason;
  
  HVX10Event(HVX10DeviceI theDevice, EventReason theReason) {
    this.theDevice = theDevice;
    this.theReason = theReason;
  }
  
  public HVX10DeviceI getX10Device() { return theDevice; }
  public EventReason getReason() { return theReason; }
  
  void releaseResources() {
    theDevice = null;
  }
  
  public String toString() {
    return "X10[" + theDevice.toString() + "]=" + (theDevice.isUnitOn() ? "ON (" + theDevice.getDimLevel() + "%)" : "OFF") + ", EVENT=" + theReason;
  }
}
