/*
 * TStatEventI.java
 *
 * Created on December 20, 2004, 11:00 AM
 */

package org.cdp1802.tstat;

/**
 *
 * @author gduprey
 */
public interface TStatEventI {
  public enum EventReason {
    STATE_CHANGED,
    RUNTIME_UPDATED,
    SETPOINT_CHANGED,  // WHenever the current scheme setpoint changes
    SCHEME_ADDED,
    SCHEME_DELETED,
    SCHEME_SETPOINT_ADDED,
    SCHEME_SETPOINT_UPDATED,
    SCHEME_SETPOINT_DELETED,
       
  };
  
  public TStatI getTStat();
  public TStatRuntimeI getRuntime();
  public TStatSchemeI getScheme();
  public TStatSetpointI getSetpoint();
  public EventReason getReason();
}
