/*
 * TStatTrackerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.tstat;

import org.cdp1802.xpl.device.*;

/**
 *
 * @author gduprey
 */
public interface TStatManagerI {
  public void startManager();
  
  public boolean isInitialized();
  public xPL_DeviceI getDevice();
  public void setDevice(xPL_DeviceI theDevice);
  
  public void requestConfiguration();
  
  public TStatI getTStat(int tstatNum);
  
  public void addListener(TStatListenerI theListener);
  public void addListener(TStatListenerI theListener, int tstatNum);
  public void addListener(TStatListenerI theListener, TStatI theTStat);
  
  public void removeListener(TStatListenerI theListener);
  public void removeListener(TStatListenerI theListener, int tstatNum);
  public void removeListener(TStatListenerI theListener, TStatI theTStat);
  public void removeAllListeners(TStatListenerI theListener);
}
