/*
 * LightingGatewayListenerI.java
 *
 * Copyright (c) 2005, Gerald R Duprey Jr
 * More info at http://www.xPL4Java.org
 */

package org.cdp1802.xpl.lighting;

/**
 * Listener for events fired by a LightingGateway
 *
 * @author gerry
 */
public interface LightingGatewayListenerI {
  
  /**
   * Invoked to deliver messages from the LightingGateway
   *
   * @param theEvent describes manager event
   */
  public void handleLightingGatewayEvent(LightingGatewayEvent theEvent);
}
