/*
 * DeviceTrigger.java
 *
 * Created on September 28, 2005, 9:33 PM
 *
 */

package org.cdp1802.xpl.plugins;

import java.util.*;
import org.jdom.*;

/**
 *
 * @author gerry
 */
public class DeviceTrigger extends DeviceAbility {
  DeviceTrigger() { super(); }
  
  DeviceTrigger(PluginDevice theDevice, Element theElement) {
    super(theDevice, theElement);
  }
  
  DeviceTrigger(PluginDevice theDevice, String theName) {
    super(theDevice, "trigger", "trig", theName);
  }
  
  void fireAbilityRenamed() {
    fireEvent(PluginEvent.EventCode.TRIGGER_RENAMED);
  }

  void fireAbilityChanged() {
    fireEvent(PluginEvent.EventCode.TRIGGER_UPDATED);
  }
  
  public DeviceTrigger copyOfTrigger(PluginDevice copiesParent) {
    return (DeviceTrigger) super.copyOf(copiesParent);
  }
  public DeviceTrigger copyOfTrigger() { return null; }
  
  public String toString() { return "Trigger " + getName(); }
 }
