/*
 * TrackedDeviceListenerI.java
 *
 * Created on September 21, 2005, 10:01 PM
 *
 */

package org.cdp1802.xpl.tracker;

/**
 * A listener for changes to the list of tracked devices
 *
 * @author gerry
 */
public interface TrackedDeviceListenerI {
  /**
   * Handle a change to the list of tracked devices.
   *
   * @param theEvent event describing the change
   */
  public void handleTrackedDeviceEvent(TrackedDeviceEvent theEvent);
}
