/*
 * xPL_MediaHandlerEvent.java
 *
 * Created on September 16, 2005, 2:08 PM
 *
 * And event describing what happened with a media handler
 */

package org.cdp1802.xpl;

/**
 *
 * @author gerry
 */
public class xPL_MediaHandlerEvent {
  public enum EventCode { HANDLER_ACTIVE, HANDLER_INACTIVE, HANDLER_ERROR, HANDLER_CONFIRMED_HUB };
  
  xPL_MediaHandlerI theHandler = null;
  EventCode theEvent = null;
  Throwable theException = null;
  
  public xPL_MediaHandlerEvent(xPL_MediaHandlerI theHandler, EventCode theEvent) {
    this.theHandler = theHandler;
    this.theEvent = theEvent;
  }
  
  public xPL_MediaHandlerEvent(xPL_MediaHandlerI theHandler, EventCode theEvent, Throwable theException) {
    this.theHandler = theHandler;
    this.theEvent = theEvent;
    this.theException = theException;
  }

  public xPL_MediaHandlerI getHandler() { return theHandler; }
  public EventCode getEvent() { return theEvent; }
  public Throwable getException() { return theException; }
  
  void releaseResources() {
    theHandler = null;
    theEvent = null;
    theException = null;
  }
}
