/*
 * xPL_MediaHandlerException.java
 * Copyright 2004, Gerald R Duprey Jr
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License. 
 */

package org.cdp1802.xpl;

/**
 * Exception thrown in the service of opening/closing/processing 
 * media handlers
 *
 * @author  gerry
 */
public class xPL_MediaHandlerException extends xPL_Exception {
  public xPL_MediaHandlerException() {
    super("Error occurred in a xPL Media Handler");
  }

  public xPL_MediaHandlerException(String message)  {
    super(message);
  }

  public xPL_MediaHandlerException(String message, Throwable cause)  {
    super(message);
    this.cause = cause;
  }
}
