/*
 * HVDInputEvent.java
 *
 * Created on December 20, 2004, 11:26 AM
 */

package org.cdp1802.hvision.dinput;

/**
 *
 * @author gduprey
 */
public class HVDInputEvent implements HVDInputEventI {
  HVDInputI theDInput = null;
  EventReason theReason;
  
  HVDInputEvent(HVDInputI theDInput, EventReason theReason) {
    this.theDInput = theDInput;
    this.theReason = theReason;
  }
  
  public HVDInputI getDInput() { return theDInput; }
  public EventReason getReason() { return theReason; }
  
  void releaseResources() {
    theDInput = null;
  }
  
  public String toString() {
    return "DINPUT[" + theDInput.getDInputNum() + "]=" + (theDInput.isDInputHigh() ? "HIGH" : "LOW") + ", EVENT=" + theReason;
  }
}
