/*
 * HVDOutputEvent.java
 *
 * Created on December 20, 2004, 11:26 AM
 */

package org.cdp1802.hvision.doutput;

/**
 *
 * @author gduprey
 */
public class HVDOutputEvent implements HVDOutputEventI {
  HVDOutputI theDOutput = null;
  EventReason theReason;
  
  HVDOutputEvent(HVDOutputI theDOutput, EventReason theReason) {
    this.theDOutput = theDOutput;
    this.theReason = theReason;
  }
  
  public HVDOutputI getDOutput() { return theDOutput; }
  public EventReason getReason() { return theReason; }
  
  void releaseResources() {
    theDOutput = null;
  }
  
  public String toString() {  
    return "DOUTPUT[" + theDOutput.getDOutputNum() + "]=" + (theDOutput.isDOutputHigh() ? "HIGH" : "LOW") + ", EVENT=" + theReason;
  }
}
