/*
 * HVFlagEvent.java
 *
 * Created on December 20, 2004, 11:26 AM
 */

package org.cdp1802.hvision.flag;

/**
 *
 * @author gduprey
 */
public class HVFlagEvent implements HVFlagEventI {
  HVFlagI theFlag = null;
  EventReason theReason;
  
  HVFlagEvent(HVFlagI theFlag, EventReason theReason) {
    this.theFlag = theFlag;
    this.theReason = theReason;
  }
  
  public HVFlagI getFlag() { return theFlag; }
  public EventReason getReason() { return theReason; }
  
  void releaseResources() {
    theFlag = null;
  }
  
  public String toString() {
    return "FLAG[" + theFlag.getFlagNum() + "]=" + (theFlag.isFlagSet() ? "SET" : "CLEAR") + ", EVENT=" + theReason;
  }
}
