/*
 * HVIRI.java
 *
 * Created on December 20, 2004, 11:04 AM
 */

package org.cdp1802.hvision.ir;

import org.cdp1802.hvision.HVBaseDeviceI;

/**
 *
 * @author gduprey
 */
public interface HVIRI extends HVBaseDeviceI {
  public int getIRNum();
  
  public void selectZone(int theZone);
  public void selectZones(int theZones[]);
  public void selectAllZones();
  
  public void sendIR(int irNum);
  public void sendIR(int irNum, int repeatCount);
  
  public void addListener(HVIRListenerI theListener);
  public void removeListener(HVIRListenerI theListener);
}
