/*
 * HVIRManagerI.java
 *
 * Created on December 20, 2004, 10:56 AM
 */

package org.cdp1802.hvision.ir;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author gduprey
 */
public interface HVIRManagerI extends HVDeviceManagerI {
  public HVIRI getIR(int irNum);
  
  public void addListener(HVIRListenerI theListener);
  public void addListener(HVIRListenerI theListener, int irNum);

  // NOTE: If KeyCode == -1, then the listener will receive all events
  // for the deviceCode
  public void addListener(HVIRListenerI theListener, int irDeviceCode, int irKeyCode);
  public void addListener(HVIRListenerI theListener, HVIRI theIR);
  
  public void removeListener(HVIRListenerI theListener);
  public void removeListener(HVIRListenerI theListener, int irNum);
  public void removeListener(HVIRListenerI theListener, int irDeviceCode, int irKeyCode);
  public void removeListener(HVIRListenerI theListener, HVIRI theIR);
  public void removeAllListeners(HVIRListenerI theListener);
}
