/*
 * HVMacroEvent.java
 *
 * Created on December 20, 2004, 11:26 AM
 */

package org.cdp1802.hvision.macro;

/**
 *
 * @author gduprey
 */
public class HVMacroEvent implements HVMacroEventI {
  HVMacroI theMacro = null;
  EventReason theReason;
  
  HVMacroEvent(HVMacroI theMacro, EventReason theReason) {
    this.theMacro = theMacro;
    this.theReason = theReason;
  }
  
  public HVMacroI getMacro() { return theMacro; }
  public EventReason getReason() { return theReason; }
  
  void releaseResources() {
    theMacro = null;
  }

  public String toString() {
    return "MACRO[" + theMacro.getMacroNum() + "], EVENT=" + theReason;
  }
}
