/*
 * HVPhoneEvent.java
 *
 * Created on January 10, 2005, 7:33 PM
 */

package org.cdp1802.hvision.phone;

/**
 *
 * @author gerry
 */
public class HVPhoneEvent implements HVPhoneEventI {
  EventReason theEventReason;
  int ringCount = 0;
  String callerIDNum = null;
  String callerIDName = null;
  char buttonPressed;
  
  HVPhoneEvent(EventReason eventReason) {
    theEventReason = eventReason;
  }
  
  HVPhoneEvent(EventReason eventReason, int ringCount) {
    theEventReason = eventReason;
    this.ringCount = ringCount;
  }
  
  HVPhoneEvent(EventReason eventReason, char buttonPressed) {
    theEventReason = eventReason;
    this.buttonPressed = buttonPressed;  
  }
  
  HVPhoneEvent(EventReason eventReason, String cidNumber, String cidName) {
    theEventReason = eventReason;
    callerIDNum = cidNumber;
    callerIDName = cidName;
  }
  
  public int getRingCount() { return ringCount; }
  public String getCallerIDNum() { return callerIDNum; }
  public String getCallerIDName() { return callerIDName; }
  public char getButtonPressed() { return buttonPressed; }
  public EventReason getReason() { return theEventReason; }
  
  void releaseResources() {
    callerIDNum = null;
    callerIDName = null;
  }
}
