/*
 * HVVariableEvent.java
 *
 * Created on December 20, 2004, 11:26 AM
 */

package org.cdp1802.hvision.variable;

/**
 *
 * @author gduprey
 */
public class HVVariableEvent implements HVVariableEventI {
  HVVariableI theVariable = null;
  EventReason theReason;
  
  HVVariableEvent(HVVariableI theVariable, EventReason theReason) {
    this.theVariable = theVariable;
    this.theReason = theReason;
  }
  
  public HVVariableI getVariable() { return theVariable; }
  public EventReason getReason() { return theReason; }
  
  void releaseResources() {
    theVariable = null;
  }
  
  public String toString() {
    return "VARIABLE[" + theVariable.getVariableNum() + "]=" + theVariable.getValue() + ", EVENT=" + theReason;
  }
}
