/*
 * HVX10DeviceI.java
 *
 * Created on December 8, 2004, 5:57 PM
 */

package org.cdp1802.hvision.x10;

import org.cdp1802.hvision.HVBaseDeviceI;

/**
 *
 * @author  gerry
 */
public interface HVX10DeviceI extends HVBaseDeviceI {
  public String getDeviceName();
  public HVX10HouseI getHouse();
  public int getUnitNum();
  
  public void setUnitOn(boolean unitOn);
  public boolean isUnitOn();

  public boolean isDimmable();
  public void setDimmable(boolean isDimmable);

  public void dimUnit();
  public void dimUnit(int dimCount);
  public void brightenUnit();
  public void brightenUnit(int dimCount);

  public void setDimLevel(int dimLevel);
  public int getDimLevel();
  
  public void selectDevice();
  public void setEnabled(boolean deviceEnabled);
  
  public void addListener(HVX10ListenerI theListener);
  public void removeListener(HVX10ListenerI theListener);
}
