/*
 * HVX10HouseI.java
 *
 * Created on December 9, 2004, 10:20 AM
 */

package org.cdp1802.hvision.x10;

import org.cdp1802.xpl.xPL_MessageI;

/**
 *
 * @author  gerry
 */
public interface HVX10HouseI {
  public char getHouseCode();
  
  public HVX10DeviceI getUnit(int unitNum);
  
  public void sendHouseOn();
  public void sendHouseOff();
  public void sendHouseDim();
  public void sendHouseBrighten();
  
  public void sendAllLightsOn();
  public void sendAllLightsOff();
  public void sendAllUnitsOff();
  
  public void addListener(HVX10ListenerI theListener);
  public void removeListener(HVX10ListenerI theListener);
}
