/*
 * HVX10I.java
 *
 * Created on December 9, 2004, 10:18 AM
 */

package org.cdp1802.hvision.x10;

import org.cdp1802.hvision.HVDeviceManagerI;

/**
 *
 * @author  gerry
 */
public interface HVX10ManagerI extends HVDeviceManagerI {
  public HVX10HouseI getHouse(char houseCode);
  
  public HVX10DeviceI getDevice(char houseCode, int unitNum);
  public HVX10DeviceI getDevice(HVX10HouseI theHouse, int unitNum);
  public HVX10DeviceI getDevice(String houseUnitSpec);
  
  public void addListener(HVX10ListenerI theListener);
  public void addListener(HVX10ListenerI theListener, HVX10HouseI forHouse);
  public void addListener(HVX10ListenerI theListener, char forHouseCode);
  public void addListener(HVX10ListenerI theListener, HVX10DeviceI forDevice);
  public void addListener(HVX10ListenerI theListener, char forHouseCode, int forUnitNum);
  public void addListener(HVX10ListenerI theListener, String forHouseUnitSpec);
  
  public void removeListener(HVX10ListenerI theListener);
  public void removeListener(HVX10ListenerI theListener, HVX10HouseI forHouse);
  public void removeListener(HVX10ListenerI theListener, char forHouseCode);
  public void removeListener(HVX10ListenerI theListener, HVX10DeviceI forDevice);
  public void removeListener(HVX10ListenerI theListener, char forHouseCode, int forUnitNum);
  public void removeListener(HVX10ListenerI theListener, String forHouseUnitSpec);
  public void removeAllListeners(HVX10ListenerI theListener);
}
