/*
 * TStatSchemeI.java
 *
 * Created on December 22, 2004, 11:12 AM
 */

package org.cdp1802.tstat;

/**
 *
 * @author gduprey
 */
public interface TStatSchemeI {
  public TStatI getTStat();
  public String getName();
  
  public int getSetpointCount();
  public int getIndexOfSetpoint(TStatSetpointI theSetpoint);
  public TStatSetpointI getSetpointAt(int setpointIndex);
  public TStatSetpointI getSetpointNamed(String setpointName);
  
  public TStatSetpointI createNewSetpoint(String setpointName, int setpointTemp, int setpointTime, boolean fanOn);
  public void deleteSetpoint(String setpointName);
  public void deleteSetpoint(TStatSetpointI theSetpoint);
}
