/*
 * LightingSceneListenerI.java
 *
 * Copyright (c) 2005, Gerald R Duprey Jr
 * More info at http://www.xPL4Java.org
 */

package org.cdp1802.xpl.lighting;

/**
 * Describes what a class must implement in order to be able to receive
 * scene related messages.
 *
 * @author gerry
 */
public interface LightingSceneListenerI {
  /**
   * Recieve an event describing a change or notification from or
   * for a scene.
   *
   * @param theEvent describes what this event is all about
   */
  public void handleLightingSceneEvent(LightingSceneEvent theEvent);
}
