/*
 * DeviceCommand.java
 *
 * Created on September 28, 2005, 9:33 PM
 *
 */

package org.cdp1802.xpl.plugins;

import java.util.*;
import org.jdom.*;

/**
 *
 * @author gerry
 */
public class DeviceCommand extends DeviceAbility {
  DeviceCommand() { super(); }
  
  DeviceCommand(PluginDevice theDevice, Element theElement) {
    super(theDevice, theElement);
  }
  
  DeviceCommand(PluginDevice theDevice, String theName) {
    super(theDevice, "command", "cmnd", theName);
  }
  
  void fireAbilityRenamed() {
    fireEvent(PluginEvent.EventCode.COMMAND_RENAMED);
  }

  void fireAbilityChanged() {
    fireEvent(PluginEvent.EventCode.COMMAND_UPDATED);
  }
  
  public DeviceCommand copyOfCommand(PluginDevice copiesParent) {
    return (DeviceCommand) super.copyOf(copiesParent);
  }
  public DeviceCommand copyOfCommand() { return copyOfCommand(null); }
  
  public String toString() { return "Command " + getName(); }
}
