/*
 * DeviceStatus.java
 *
 * Created on September 28, 2005, 9:33 PM
 *
 */

package org.cdp1802.xpl.plugins;

import java.util.*;
import org.jdom.*;

/**
 *
 * @author gerry
 */
public class DeviceStatus extends DeviceAbility {
  DeviceStatus() { super(); }
  
  DeviceStatus(PluginDevice theDevice, Element theElement) {
    super(theDevice, theElement);
  }
  
  DeviceStatus(PluginDevice theDevice, String theName) {
    super(theDevice, "trigger", "stat", theName);
  }
  
  void fireAbilityRenamed() {
    fireEvent(PluginEvent.EventCode.STATUS_RENAMED);
  }

  void fireAbilityChanged() {
    fireEvent(PluginEvent.EventCode.STATUS_UPDATED);
  }
  
  public DeviceStatus copyOfStatus(PluginDevice copiesParent) {
    return (DeviceStatus) super.copyOf(copiesParent);
  }
  public DeviceStatus copyOfStatus() { return copyOfStatus(null); }
  
  public String toString() { return "Status " + getName(); }
 }
