/*
 * ScriptFileFilter.java
 *
 * Created on May 31, 2005, 2:12 PM
 */

package org.cdp1802.xpl.script;

import java.io.*;

/**
 *
 * @author gerry
 */
public class ScriptFileFilter implements FileFilter {
  public boolean accept(File f) {
    // Skip directories
    if (f.isDirectory()) return false;

    String extension = getExtension(f);
    if (extension.equals("bsh")) return true;

    return false;
  }
    
  /**
    Method to get the extension of the file, in lowercase
   */
  private String getExtension(File f) {
    String s = f.getName();
    int i = s.lastIndexOf('.');
    if (i > 0 &&  i < s.length() - 1) return s.substring(i+1).toLowerCase();
    return "";
  }
}
