/*
 * CreateDevice.java
 *
 * Created on May 31, 2005, 6:14 PM
 */

package org.cdp1802.xpl.script.builtins;

import bsh.*;
import org.cdp1802.xpl.*;
import org.cdp1802.xpl.device.*;

import org.cdp1802.xpl.script.BasicBuiltin;
import org.cdp1802.xpl.script.XPLScript;


/**
 *
 * @author gerry
 */
public class CreateDevice extends BasicBuiltin {
  
  public static xPL_DeviceI invoke( Interpreter env, CallStack callstack, String deviceName, String handler ) {
    // Get the script
    XPLScript theScript = findScript(env);
    if (theScript == null) {
      System.err.println("Unable to locate originating script for CreateDevice() BSH command -- ignored");
      return null;
    }
    
    return theScript.addNewDevice(deviceName, handler);
  }

  public static xPL_DeviceI invoke( Interpreter env, CallStack callstack, String deviceName) {
    return invoke(env, callstack, deviceName, null);
  }
  
}
