/*
 * InstallHVHelper.java
 *
 * Created on June 4, 2005, 11:21 AM
 */

package org.cdp1802.xpl.script.builtins;

import bsh.*;
import org.cdp1802.xpl.*;

import org.cdp1802.xpl.script.HVHelper;
import org.cdp1802.xpl.script.BasicBuiltin;
import org.cdp1802.xpl.script.XPLScript;

/**
 *
 * @author gerry
 */
public class InstallHVHelper extends BasicBuiltin {
  public static HVHelper invoke(Interpreter env, CallStack callstack) {
    // Get the script
    XPLScript theScript = findScript(env);
    if (theScript == null) {
      System.err.println("Unable to locate originating script for InstallHVHelper() BSH command -- ingored");
      return null;
    }
    
    return theScript.addHVHelper();
  }
}
