/*
 * ListenFor.java
 *
 * Created on May 31, 2005, 3:11 PM
 */

package org.cdp1802.xpl.script.builtins;


import bsh.*;
import org.cdp1802.xpl.*;

import org.cdp1802.xpl.script.*;

/**
 *
 * @author gerry
 */
public class ListenFor extends BasicBuiltin {
  public static MessageFilter invoke( Interpreter env, CallStack callstack, String filterSpec, String namedValues[][], String handler ) {
    // Get the script
    XPLScript theScript = findScript(env);
    if (theScript == null) {
      System.err.println("Unable to locate originating script for ListenFor() BSH command -- ingored");
      return null;
    }
    
    return theScript.addMessageFilter(filterSpec, namedValues, handler);
  }
  
  public static MessageFilter invoke( Interpreter env, CallStack callstack, String filterSpec, String handler) {
    return invoke(env, callstack, filterSpec, null, handler);
  }

  public static MessageFilter invoke( Interpreter env, CallStack callstack, String filterSpec, String namedValues[][]) {
    return invoke(env, callstack, filterSpec, namedValues, null);
  }
  
  public static MessageFilter invoke( Interpreter env, CallStack callstack, String filterSpec) {
    return invoke(env, callstack, filterSpec, null, null);
  }
}
