/*
 * SetDefaultSource.java
 *
 * Created on May 31, 2005, 9:48 PM
 */

package org.cdp1802.xpl.script.builtins;

import bsh.*;
import org.cdp1802.xpl.*;

import org.cdp1802.xpl.script.BasicBuiltin;
import org.cdp1802.xpl.script.XPLScript;

/**
 *
 * @author gerry
 */
public class SetDefaultSource extends BasicBuiltin {
  public static void invoke( Interpreter env, CallStack callstack, String defaultSource) {
    // Get the script
    XPLScript theScript = findScript(env);
    if (theScript == null) {
      System.err.println("Unable to locate originating script for SetDefaultSource() BSH command -- ingored");
      return;
    }
    
    xPL_IdentifierI theIdentifier = xPL_Manager.getManager().getIdentifierManager().parseNamedIdentifier(defaultSource);
    if (theIdentifier != null) theScript.setDefaultSource(theIdentifier);
  }
}
